Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DiagramViewOptions

    |
    +--biouml.model.DiagramViewOptions

Direct Known Subclasses:
  PathwayDiagramViewOptions

public class DiagramViewOptions
extends Option

General class to store options for diagram painting.

Field Summary
`int` | `compartmentTitleAlignment`
`int` | `diagramTitleAlignment`

Constructor Summary
`DiagramViewOptions(Option parent)` Creates `DiagramViewOptions` and initializes it to the specified options.

Method Summary
`int` | `getCompartmentTitleAlignment()`
`ColorFont` | `getCompartmentTitleFont()`
`ColorFont` | `getDefaultFont()`
`Pen` | `getDefaultPen()`
`int` | `getDiagramTitleAlignment()`
`ColorFont` | `getDiagramTitleFont()`
`Pen` | `getNodePen()`
`ColorFont` | `getNodeTitleFont()`
`Point` | `getNodeTitleMargin()`
`Brush` | `getNoteBrush()`
`Pen` | `getNoteLinkPen()`
`Point` | `getNoteMargin()`
`boolean` | `isDesignMode()`
`boolean` | `isDiagramTitleVisible()`
`void` | `setCompartmentTitleAlignment(int compartmentTitleAlignment)`
`void` | `setCompartmentTitleFont(ColorFont compartmentTitleFont)`
`void` | `setDefaultFont(ColorFont defaultFont)`
`void` | `setDefaultPen(Pen defaultPen)`
`void` | `setDesignMode(boolean designMode)`
`void` | `setDiagramTitleAlignment(int diagramTitleAlignment)`
`void` | `setDiagramTitleFont(ColorFont diagramTitleFont)`
`void` | `setDiagramTitleVisible(boolean diagramTitleVisible)`
`void` | `setNodePen(Pen nodePen)`
`void` | `setNodeTitleFont(ColorFont nodeTitleFont)`
`void` | `setNodeTitleMargin(Point nodeTitleMargin)`
`void` | `setNoteBrush(Brush noteBrush)`
`void` | `setNoteLinkPen(Pen noteLinkPen)`
`void` | `setNoteMargin(Point noteMargin)`

Field Detail

### compartmentTitleAlignment

    public int compartmentTitleAlignment

### diagramTitleAlignment

    public int diagramTitleAlignment

Constructor Detail

### DiagramViewOptions

    public DiagramViewOptions(Option parent)

  Creates `DiagramViewOptions` and initializes it to the specified options.
  Parameters:
    parent - parent property

Method Detail

### getCompartmentTitleAlignment

    public int getCompartmentTitleAlignment()

### getCompartmentTitleFont

    public ColorFont getCompartmentTitleFont()

### getDefaultFont

    public ColorFont getDefaultFont()

### getDefaultPen

    public Pen getDefaultPen()

### getDiagramTitleAlignment

    public int getDiagramTitleAlignment()

### getDiagramTitleFont

    public ColorFont getDiagramTitleFont()

### getNodePen

    public Pen getNodePen()

### getNodeTitleFont

    public ColorFont getNodeTitleFont()

### getNodeTitleMargin

    public Point getNodeTitleMargin()

### getNoteBrush

    public Brush getNoteBrush()

### getNoteLinkPen

    public Pen getNoteLinkPen()

### getNoteMargin

    public Point getNoteMargin()

### isDesignMode

    public boolean isDesignMode()

### isDiagramTitleVisible

    public boolean isDiagramTitleVisible()

### setCompartmentTitleAlignment

    public void setCompartmentTitleAlignment(int compartmentTitleAlignment)

### setCompartmentTitleFont

    public void setCompartmentTitleFont(ColorFont compartmentTitleFont)

### setDefaultFont

    public void setDefaultFont(ColorFont defaultFont)

### setDefaultPen

    public void setDefaultPen(Pen defaultPen)

### setDesignMode

    public void setDesignMode(boolean designMode)

### setDiagramTitleAlignment

    public void setDiagramTitleAlignment(int diagramTitleAlignment)

### setDiagramTitleFont

    public void setDiagramTitleFont(ColorFont diagramTitleFont)

### setDiagramTitleVisible

    public void setDiagramTitleVisible(boolean diagramTitleVisible)

### setNodePen

    public void setNodePen(Pen nodePen)

### setNodeTitleFont

    public void setNodeTitleFont(ColorFont nodeTitleFont)

### setNodeTitleMargin

    public void setNodeTitleMargin(Point nodeTitleMargin)

### setNoteBrush

    public void setNoteBrush(Brush noteBrush)

### setNoteLinkPen

    public void setNoteLinkPen(Pen noteLinkPen)

### setNoteMargin

    public void setNoteMargin(Point noteMargin)

Association Links

to Class ru.biosoft.graphics.font.ColorFont

  Diagram title `ColorFont`.

to Class ru.biosoft.graphics.font.ColorFont

  Diagram title `ColorFont`.

to Class ru.biosoft.graphics.Brush

to Class java.awt.Point

to Class ru.biosoft.graphics.Pen

to Class ru.biosoft.graphics.Pen

  `Pen` to paint Node.

to Class ru.biosoft.graphics.font.ColorFont

  `ColorFont` for Node title.

to Class java.awt.Point

  Margin between node image and node title.

to Class ru.biosoft.graphics.Pen

  Default `Pen`.

to Class ru.biosoft.graphics.font.ColorFont

  Default `ColorFont`.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM